[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TObjectQueue.Push

Push an object on the queue

## Declaration

Source position: contnrs.pp line 174

`public function TObjectQueue.Push(`
`AObject: TObject`
`):TObject;`

## Arguments

`AObject` |  | Object to push on the queue

## Function result

The element just pushed on the queue

## Description

Push pushes another object on the queue. It overrides the Push method as implemented in TQueue so it accepts only objects as arguments.

## Errors

If not enough memory is available to expand the queue, an exception may be raised.

## See also

TObjectQueue.Pop |  | Pop the first element off the queue
TObjectQueue.Peek |  | Look at the first object in the queue.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .